Bug 16406 - [3.4 Regression] USE_LD_AS_NEEDED undocumented
Summary: [3.4 Regression] USE_LD_AS_NEEDED undocumented
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: other (show other bugs)
Version: 4.0.0
: P2 normal
Target Milestone: 3.4.3
Assignee: Alan Modra
URL:
Keywords: documentation, patch
Depends on: 14992
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-07 12:12 UTC by Joseph S. Myers
Modified: 2005-05-31 04:17 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work: 4.0.0
Known to fail: 3.4.1
Last reconfirmed: 2004-07-07 14:54:14


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S. Myers 2004-07-07 12:12:58 UTC
The target macro USE_LD_AS_NEEDED, added by

2004-04-23  Alan Modra  <amodra@bigpond.net.au>

        PR bootstrap/14992
        * gcc.c (init_gcc_specs): Test USE_LD_AS_NEEDED, not HAVE_LD_AS_NEEDED.
        * config/linux.h (USE_LD_AS_NEEDED): Define.
        * gcc/config/alpha/linux.h (USE_LD_AS_NEEDED): Define.
        * gcc/config/arm/linux-elf.h (USE_LD_AS_NEEDED): Define.
        * gcc/config/rs6000/linux.h (USE_LD_AS_NEEDED): Define.
        * gcc/config/rs6000/linux64.h (USE_LD_AS_NEEDED): Define.
        * gcc/config/sh/linux.h (USE_LD_AS_NEEDED): Define.
        * gcc/config/sparc/linux.h (USE_LD_AS_NEEDED): Define.
        * gcc/config/sparc/linux64.h (USE_LD_AS_NEEDED): Define.

is undocumented.  This is a regression in 3.5.
Comment 1 Andrew Pinski 2004-07-07 14:54:14 UTC
Confirmed and not just a regression in 3.5.0 but also on the 3.4 branch too.
Comment 2 Mark Mitchell 2004-08-29 19:09:45 UTC
Postponed until GCC 3.4.3.
Comment 4 CVS Commits 2004-10-06 00:54:03 UTC
Subject: Bug 16406

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	amodra@gcc.gnu.org	2004-10-06 00:54:01

Modified files:
	gcc            : ChangeLog 
	gcc/doc        : tm.texi 

Log message:
	PR 16406
	* doc/tm.texi (USE_LD_AS_NEEDED, LINK_EH_SPEC): Document.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.5758&r2=2.5759
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/tm.texi.diff?cvsroot=gcc&r1=1.376&r2=1.377

Comment 5 CVS Commits 2004-10-06 01:01:40 UTC
Subject: Bug 16406

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	amodra@gcc.gnu.org	2004-10-06 01:01:36

Modified files:
	gcc            : ChangeLog 
	gcc/doc        : tm.texi 

Log message:
	PR 16406
	* doc/tm.texi (LIBGCC_SPEC): Mention modifications.
	(USE_LD_AS_NEEDED, LINK_EH_SPEC): Document.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=2.2326.2.642&r2=2.2326.2.643
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/tm.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.281.2.17&r2=1.281.2.18

Comment 6 Andrew Pinski 2004-10-06 01:06:59 UTC
Fixed.
Comment 7 Eric Botcazou 2005-05-30 14:33:06 UTC
Alan, am I mistaken or did you document on the 3.4 branch something that is only
in 4.x?  AFAICS PR bootstrap/14992 has been solved differently on that branch:

	PR bootstrap/14992
	* configure.ac: Define HAVE_LD_AS_NEEDED only for linux.
	* configure: Regenerate.
	* gcc.c (init_gcc_specs): Revert earlier change.
Comment 8 Alan Modra 2005-05-30 23:19:07 UTC
Yes.  s/USE_LD_AS_NEEDED/HAVE_LD_AS_NEEDED/ will make the doc right on 3.4
Comment 9 Eric Botcazou 2005-05-31 04:17:29 UTC
> Yes.  s/USE_LD_AS_NEEDED/HAVE_LD_AS_NEEDED/ will make the doc right on 3.4

Sort of.  HAVE_LD_AS_NEEDED is not a target macro per se.